* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

:root {
    --dark-blue: #0A0F44;
    --blue: #5760B2;
    --orange: #F18818;
}

body,
html {
    width: 100vw;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

video {
    height: 4rem;
}

main {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding-bottom: 1rem;
}

h1 {
    font-size: 1.5rem;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
    color: white;
}

header {
    width: 100vw;
    padding: 1rem 0.5rem;
    top: 0;
    position: fixed;
    background-color: var(--dark-blue);
    margin: 0;
}

section {
    box-sizing: border-box;
    margin: 0 1rem;
}

section p {
    color: var(--blue);
    margin-bottom: 0.5rem;
}

header img {
    height: 2rem;
}

.cacher {
    display: none !important;
}

.lecteur {
    margin: 0;
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background-color: #F18818;
}

.vignette {
    max-height: 60vh;
    aspect-ratio: 3/4;
    background-color: white;
    margin: 0.7rem 2rem 0.5rem 2rem;
    padding: 1.5rem 2rem 1rem;
    border: 4px solid var(--dark-blue);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-items: center;
}

.vign-radio {
    display: flex;
    justify-content: center;
}

.vign-radio img {
    width: 95%;
    margin-bottom: 0.5rem;
}

.vign-logo img {
    width: 70%;
}

.vign-info {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.song-barre img {
    width: 100%;
}

.vign-logo {
    display: flex;
    justify-content: center;
    background-color: var(--dark-blue);
    padding: 0.5rem 1rem;
    border-radius: 10px;
}

.btn-player {
    margin-top: 1.5rem;
    justify-content: center;
    align-items: flex-start;
    display: flex;
    max-width: 80vw;
    height: 25vh;
}

.btn-player a img {
    width: 100%;
    aspect-ratio: 1/1;
}

.btn-player a{
    aspect-ratio: 1/1;
    cursor: pointer;
    overflow: visible;
    background-color: white;
    border-radius: 50%;
    padding: 0.5rem;
    height: 25%;
}


.player {
    background-color: white;
    border-radius: 50%;
    aspect-ratio: 1/1;
    height: 100%;
    width: auto;
    position: relative;
}

.btn-up{
    cursor: pointer;
    position: absolute;
    content: "";
    background-image: url("../images/player/bouton-plus.svg");
    background-repeat: no-repeat;
    background-size: 65%;
    background-position: center;
    width: 25%;
    height: 25%;
    left: 37%;
    top: 0rem;
}

.btn-right{
    cursor: pointer;
    position: absolute;
    content: "";
    background-image: url("../images/player/bouton-avancer.svg");
    background-size: 65%;
    background-repeat: no-repeat;
    background-position: center;
    right: 0rem;
    top: 36.5%;
    width: 25%;
    height: 25%;
}

.btn-left{
    cursor: pointer;
    position: absolute;
    content: "";
    background-image: url("../images/player/bouton-retour.svg");
    background-size: 65%;
    background-repeat: no-repeat;
    background-position: center;
    left: 0rem;
    top: 36.5%;
    width: 25%;
    height: 25%;
}

.btn-bottom{
    cursor: pointer;
    position: absolute;
    content: "";
    background-image: url("../images/player/bouton-moins.svg");
    background-size: 65%;
    background-repeat: no-repeat;
    background-position: center;
    width: 25%;
    height: 25%;
    left: 37%;
    bottom: 0;

}

.lecture{
    background-image: url("../images/player/bouton-lecture.svg");
    background-size: 30%;
}

.pause{
    background-image: url("../images/player/bouton-pause.svg");
    background-size: 28%;
}

.btn-middle{
    cursor: pointer;
    position: absolute;
    content: "";
    background-repeat: no-repeat;
    background-position: center;

    border: #0A0F44 solid 2px;
    border-radius: 50%;

    width: 50%;
    height: 50%;
    left: 25%;
    top: 25%;
}


.intro {
    margin-top: 5rem;
    padding: 1rem 1rem;
    box-sizing: border-box;
    background-color: var(--dark-blue);
    color: white;
}

.intro p {
    margin-top: 0.5rem;
    color: #C4BCBC;
}

.continent ul,
.langues ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

.continent ul li {
    width: 25vw;
}

.continent ul li,
.langues ul li {
    padding: 0.5rem 1rem;
    border-radius: 5px;
    text-align: center;
    background-color: var(--orange);
    color: white;
}

.radios {
    display: flex;
    gap: 10px;
    flex-direction: row;
}

.radio img {
    aspect-ratio: 1/1;
    width: 100%;
}